be.fgov.ehealth.dics.protocol.v5

## Class ConsultVmpGroupType

- java.lang.Object
- - be.fgov.ehealth.dics.protocol.v5.ConsultVmpGroupType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2026-02-09T10:47:55+01:00",
                 comments="JAXB RI v2.3.7")
      public class ConsultVmpGroupType
      extends Object
      implements Serializable

  Java class for ConsultVmpGroupType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="ConsultVmpGroupType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="Name" type="{urn:be:fgov:ehealth:dics:protocol:v5}ConsultTextType"/>
               <element name="NoGenericPrescriptionReason" type="{urn:be:fgov:ehealth:dics:protocol:v5}NoGenericPrescriptionReasonType" minOccurs="0"/>
               <element name="NoSwitchReason" type="{urn:be:fgov:ehealth:dics:protocol:v5}NoSwitchReasonType" minOccurs="0"/>
               <element name="PatientFrailtyIndicator" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
               <element name="SingleAdministrationDose" type="{urn:be:fgov:ehealth:dics:protocol:v5}QuantityType" minOccurs="0"/>
               <element name="DoseUnits" type="{urn:be:fgov:ehealth:dics:protocol:v5}DoseUnitsType" maxOccurs="unbounded" minOccurs="0"/>
               <element name="StandardDosage" type="{urn:be:fgov:ehealth:dics:protocol:v5}ConsultStandardDosageType" maxOccurs="unbounded" minOccurs="0"/>
               <element name="AdditionalFields" type="{urn:be:fgov:ehealth:dics:protocol:v5}AdditionalFieldsType" maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
             <attGroup ref="{urn:be:fgov:ehealth:dics:protocol:v5}validityPeriod"/>
             <attribute name="Code" use="required" type="{http://www.w3.org/2001/XMLSchema}int" />
             <attribute name="ProductId" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConsultVmpGroupType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<AdditionalFieldsType>` | `getAdditionalFields()` Gets the value of the additionalFields property.
    `int` | `getCode()` Gets the value of the code property.
    `List<DoseUnitsType>` | `getDoseUnits()` Gets the value of the doseUnits property.
    `org.joda.time.DateTime` | `getEndDate()` Gets the value of the endDate property.
    `ConsultTextType` | `getName()` Gets the value of the name property.
    `NoGenericPrescriptionReasonType` | `getNoGenericPrescriptionReason()` Gets the value of the noGenericPrescriptionReason property.
    `NoSwitchReasonType` | `getNoSwitchReason()` Gets the value of the noSwitchReason property.
    `String` | `getProductId()` Gets the value of the productId property.
    `QuantityType` | `getSingleAdministrationDose()` Gets the value of the singleAdministrationDose property.
    `List<ConsultStandardDosageType>` | `getStandardDosages()` Gets the value of the standardDosages property.
    `org.joda.time.DateTime` | `getStartDate()` Gets the value of the startDate property.
    `Boolean` | `isPatientFrailtyIndicator()` Gets the value of the patientFrailtyIndicator property.
    `void` | `setCode(int value)` Sets the value of the code property.
    `void` | `setEndDate(org.joda.time.DateTime value)` Sets the value of the endDate property.
    `void` | `setName(ConsultTextType value)` Sets the value of the name property.
    `void` | `setNoGenericPrescriptionReason(NoGenericPrescriptionReasonType value)` Sets the value of the noGenericPrescriptionReason property.
    `void` | `setNoSwitchReason(NoSwitchReasonType value)` Sets the value of the noSwitchReason property.
    `void` | `setPatientFrailtyIndicator(Boolean value)` Sets the value of the patientFrailtyIndicator property.
    `void` | `setProductId(String value)` Sets the value of the productId property.
    `void` | `setSingleAdministrationDose(QuantityType value)` Sets the value of the singleAdministrationDose property.
    `void` | `setStartDate(org.joda.time.DateTime value)` Sets the value of the startDate property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConsultVmpGroupType

          public ConsultVmpGroupType()

  - ### Method Detail

    - #### getName

          public ConsultTextType getName()

      Gets the value of the name property.
      Returns:
        possible object is `ConsultTextType`

    - #### setName

          public void setName(ConsultTextType value)

      Sets the value of the name property.
      Parameters:
        `value` - allowed object is `ConsultTextType`

    - #### getNoGenericPrescriptionReason

          public NoGenericPrescriptionReasonType getNoGenericPrescriptionReason()

      Gets the value of the noGenericPrescriptionReason property.
      Returns:
        possible object is `NoGenericPrescriptionReasonType`

    - #### setNoGenericPrescriptionReason

          public void setNoGenericPrescriptionReason(NoGenericPrescriptionReasonType value)

      Sets the value of the noGenericPrescriptionReason property.
      Parameters:
        `value` - allowed object is `NoGenericPrescriptionReasonType`

    - #### getNoSwitchReason

          public NoSwitchReasonType getNoSwitchReason()

      Gets the value of the noSwitchReason property.
      Returns:
        possible object is `NoSwitchReasonType`

    - #### setNoSwitchReason

          public void setNoSwitchReason(NoSwitchReasonType value)

      Sets the value of the noSwitchReason property.
      Parameters:
        `value` - allowed object is `NoSwitchReasonType`

    - #### isPatientFrailtyIndicator

          public Boolean isPatientFrailtyIndicator()

      Gets the value of the patientFrailtyIndicator property.
      Returns:
        possible object is `Boolean`

    - #### setPatientFrailtyIndicator

          public void setPatientFrailtyIndicator(Boolean value)

      Sets the value of the patientFrailtyIndicator property.
      Parameters:
        `value` - allowed object is `Boolean`

    - #### getSingleAdministrationDose

          public QuantityType getSingleAdministrationDose()

      Gets the value of the singleAdministrationDose property.
      Returns:
        possible object is `QuantityType`

    - #### setSingleAdministrationDose

          public void setSingleAdministrationDose(QuantityType value)

      Sets the value of the singleAdministrationDose property.
      Parameters:
        `value` - allowed object is `QuantityType`

    - #### getDoseUnits

          public List<DoseUnitsType> getDoseUnits()

      Gets the value of the doseUnits property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the doseUnits property.

      For example, to add a new item, do as follows:

              getDoseUnits().add(newItem);

      Objects of the following type(s) are allowed in the list `DoseUnitsType`

    - #### getStandardDosages

          public List<ConsultStandardDosageType> getStandardDosages()

      Gets the value of the standardDosages property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the standardDosages property.

      For example, to add a new item, do as follows:

              getStandardDosages().add(newItem);

      Objects of the following type(s) are allowed in the list `ConsultStandardDosageType`

    - #### getAdditionalFields

          public List<AdditionalFieldsType> getAdditionalFields()

      Gets the value of the additionalFields property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the additionalFields property.

      For example, to add a new item, do as follows:

              getAdditionalFields().add(newItem);

      Objects of the following type(s) are allowed in the list `AdditionalFieldsType`

    - #### getCode

          public int getCode()

      Gets the value of the code property.

    - #### setCode

          public void setCode(int value)

      Sets the value of the code property.

    - #### getProductId

          public String getProductId()

      Gets the value of the productId property.
      Returns:
        possible object is `String`

    - #### setProductId

          public void setProductId(String value)

      Sets the value of the productId property.
      Parameters:
        `value` - allowed object is `String`

    - #### getStartDate

          public org.joda.time.DateTime getStartDate()

      Gets the value of the startDate property.
      Returns:
        possible object is `String`

    - #### setStartDate

          public void setStartDate(org.joda.time.DateTime value)

      Sets the value of the startDate property.
      Parameters:
        `value` - allowed object is `String`

    - #### getEndDate

          public org.joda.time.DateTime getEndDate()

      Gets the value of the endDate property.
      Returns:
        possible object is `String`

    - #### setEndDate

          public void setEndDate(org.joda.time.DateTime value)

      Sets the value of the endDate property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.8.5 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.